ContactGroups

Preview contact group criteria

Evaluates group criteria without persisting, returning the matching contact count and a sample of matches.

POST
/v1/contact-groups/preview

Evaluates group criteria without persisting, returning the matching contact count and a sample of matches.

Authorization

apiKey
headerx-api-key<token>

Request Body

application/json
  1. body
criteria*

Response Body

Success

application/json
  1. response
count*integer
Range0 <= value <= 9007199254740991
sample*array<>
Example Request
import { createClient } from "samva";const samva = createClient({ apiKey: process.env.SAMVA_API_KEY! });const result = await samva.contactGroups.preview({  "criteria": {}});
Example Response
{  "count": 0,  "sample": [    {      "id": "string",      "name": "string",      "status": "string"    }  ]}

Related documentation